%define         anolis_release 3
Name:           augeas
Version:        1.13.0
Release:        %{anolis_release}%{?dist}
Summary:        A library for changing configuration files

License:        LGPLv2+
URL:            https://github.com/hercules-team/augeas
# refer to https://github.com/hercules-team/augeas/issues/741
# release tarball from github does not contain gnulib
# steps to get augeas-1.13.0.tar.gz
# git clone https://github.com/hercules-team/augeas.git
# git checkout release-1.13.0
# ./autogen.sh
# make dist
Source0:        %{name}-%{version}.tar.gz

Provides:       bundled(gnulib)

BuildRequires:  make autoconf automake
BuildRequires:  gcc libtool gnulib git flex
BuildRequires:  readline-devel
BuildRequires:  libselinux-devel
BuildRequires:  libxml2-devel

Requires:       %{name}-libs = %{version}-%{release}

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        libs
Summary:        Libraries for %{name}

%description    libs
The libraries for %{name}.

Augeas is a library for programmatically editing configuration files. It parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        static
Summary:        Static libraries for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
The %{name}-static package contains static libraries needed to produce
static builds using %{name}.



%prep
%autosetup -p1

%build
%configure
%make_build

%check
# Disable test-preserve.sh SELinux testing. This fails when run under mock due
# to differing SELinux labelling.
export SKIP_TEST_PRESERVE_SELINUX=1

make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# The tests/ subdirectory contains lenses used only for testing, and
# so it shouldn't be packaged.
rm -r $RPM_BUILD_ROOT%{_datadir}/augeas/lenses/dist/tests

# In 1.9.0, the example /usr/bin/dump gets installed inadvertently
rm -f $RPM_BUILD_ROOT/usr/bin/dump

%generate_compatibility_deps

%files
%{_bindir}/augmatch
%{_bindir}/augparse
%{_bindir}/augtool
%{_bindir}/fadot
%{abidir}/augmatch-option.list
%{abidir}/fadot-option.list
%{abidir}/augtool-option.list
%doc %{_mandir}/man1/*
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim

%files libs
%dir %{abidir}
%{_datadir}/augeas/lenses/dist
%{_libdir}/*.so.*
%{abidir}/libaugeas.dump
%{abidir}/libfa.dump
%doc COPYING

%files doc
%doc AUTHORS NEWS

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc

%files static
%{_libdir}/libaugeas.a
%{_libdir}/libfa.a

%changelog
* Fri Feb 10 2023 happy_orange <songnannan@linux.alibaba.com> - 1.12.0-3
- add generate compatibility scripts

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.13.0-2
- add doc package

* Thu Apr 14 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.13.0-1
- Init augeas for anolis os 23
